Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.tcas
Class DocumentAnnotation

    java.lang.Object
      org.apache.uima.cas.impl.FeatureStructureImpl
          org.apache.uima.jcas.cas.TOP
              org.apache.uima.jcas.cas.AnnotationBase
                  org.apache.uima.jcas.tcas.Annotation
                      org.apache.uima.jcas.tcas.DocumentAnnotation

All Implemented Interfaces:
  Cloneable, AnnotationBaseFS, FeatureStructure, AnnotationFS

    public class DocumentAnnotation

extends Annotation

The JCas class definition for the CAS `DocumentAnnotation` type. When text CASs are created, one instance of this type is created and made accessable via a call to the `JCasImpl.getDocumentAnnotationFs()` method. It is also a subtype of `Annotation` and therefore would appear as one of the annotations that an iterator over all the annotations would return.

Field Summary
`static int` | `type`
`static int` | `typeIndexID`

Fields inherited from class org.apache.uima.jcas.cas.TOP
`addr, jcasType`

Constructor Summary
`protected` | `DocumentAnnotation()`
`` | `DocumentAnnotation(int addr, TOP_Type type)` Internal - Constructor used by generator
`` | `DocumentAnnotation(JCas jcas)`

Method Summary
`String` | `getLanguage()` getter for language
`int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
`void` | `setLanguage(String v)` setter for language

Methods inherited from class org.apache.uima.jcas.tcas.Annotation
`getBegin, getCoveredText, getEnd, getStart, setBegin, setEnd`

Methods inherited from class org.apache.uima.jcas.cas.AnnotationBase
`getSofa, getView`

Methods inherited from class org.apache.uima.jcas.cas.TOP
`addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl
`clone, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.uima.cas.AnnotationBaseFS
`getView`

Methods inherited from interface org.apache.uima.cas.FeatureStructure
`clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

Field Detail

### typeIndexID

    public static final int typeIndexID

### type

    public static final int type

Constructor Detail

### DocumentAnnotation

    protected DocumentAnnotation()

### DocumentAnnotation

    public DocumentAnnotation(int addr,
                              TOP_Type type)

  Internal - Constructor used by generator

### DocumentAnnotation

    public DocumentAnnotation(JCas jcas)

Method Detail

### getTypeIndexID

    public int getTypeIndexID()

  Description copied from class: `TOP`
  used to obtain reference to the TOP_Type instance

  Overrides:
    `getTypeIndexID` in class `Annotation`
  Returns:
    the type array index

### getLanguage

    public String getLanguage()

  getter for language

### setLanguage

    public void setLanguage(String v)

  setter for language

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.